org.eclipse.emf.compare.ide.ui.internal.logical.resolver

## Class ModelResourceVisitor

- java.lang.Object
- - org.eclipse.emf.compare.ide.ui.internal.logical.resolver.ModelResourceVisitor

All Implemented Interfaces:
  org.eclipse.core.resources.IResourceVisitor

    public class ModelResourceVisitor
    extends Object
    implements org.eclipse.core.resources.IResourceVisitor

This implementation of a resource visitor will allow us to browse a given hierarchy and resolve the models files in contains, as determined by `ThreadedModelResolver#MODEL_CONTENT_TYPES`.

See Also:
  `ThreadedModelResolver#hasModelType(IFile)`

### Constructor Summary

Constructors
Constructor and Description
`ModelResourceVisitor(ResourceComputationScheduler<URI> scheduler, SynchronizedResourceSet resourceSet, IResourceDependencyLocalResolver resolver, DiagnosticSupport diagnostic, ThreadSafeProgressMonitor monitor)` Default constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `visit(org.eclipse.core.resources.IResource resource)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ModelResourceVisitor

    public ModelResourceVisitor(ResourceComputationScheduler<URI> scheduler,
                                SynchronizedResourceSet resourceSet,
                                IResourceDependencyLocalResolver resolver,
                                DiagnosticSupport diagnostic,
                                ThreadSafeProgressMonitor monitor)

Default constructor.

Parameters:
  `scheduler` - The scheduler
  `resourceSet` - The resource set in which this visitor will load the model files it finds.
  `resolver` - the local dependency resolver
  `diagnostic` - The diagnostic
  `monitor` - Monitor on which to report progress to the user.

### Method Detail

#### visit

    public boolean visit(org.eclipse.core.resources.IResource resource)
                  throws org.eclipse.core.runtime.CoreException

Specified by:
  `visit` in interface `org.eclipse.core.resources.IResourceVisitor`
Throws:
  `org.eclipse.core.runtime.CoreException`